import { jsx } from "react/jsx-runtime";
import { TokenEGC as TokenEGC$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenEGC = forwardRef(
  ({ variant = "mono", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, alt: "EGC", "data-name": "TokenEGC", ...props, children: /* @__PURE__ */ jsx(TokenEGC$1, { variant }) });
  }
);
TokenEGC.displayName = "TokenEGC";
Object.assign(TokenEGC, { isGdsIcon: true });
export {
  TokenEGC
};
